Bug 1289862 - Information on configuration and log files missing in RHUI Administration Guide
Information on configuration and log files missing in RHUI Administration Guide
Status: CLOSED NEXTRELEASE
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Documentation (Show other bugs)
2.1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Les Williams
Radek Bíba
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 03:42 EST by Mahesh Taru
Modified: 2017-10-06 09:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-06 09:27:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2082743 None None None Never

  None (edit)
Description Mahesh Taru 2015-12-09 03:42:02 EST
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Update_Infrastructure/2.1/html-single/Administration_Guide/index.html

Section Number and Name: 
N/A

Describe the issue: 
The administration guide should consist information on configuration files and log files which are used in RHUA, CDS and its client system.

Also should have some basic troubleshooting pointers for common issues.

Suggestions for improvement: 
Configuration files

    RHUA
        /etc/pulp/*
        /etc/rhui/rhui-tools.conf
        /etc/qpidd.conf ( For qpid problems )
        /etc/pki/rhua/*
        /etc/pki/rhui/*
        RHUI 2.0.2+: /etc/pki/pulp/*
        pre RHUI 2.0.2: /etc/pki/content/*
        The answers file used with rhui-installer (wherever it was saved)
    CDS
        /etc/pulp/*
        /etc/pki/cds/*

Log files and Debugging

    RHUA

        /root/.rhui/rhui.log* (assuming rhui-manager is run as root, which is  standard; however, if sudo is used, the .rhui dir is in the home directory of the user)
        /root/.rhui/rhui-installer.log (likewise as above)
        /var/log/pulp/*
        /var/log/httpd/*
        /var/log/messages (this is where Qpid logs)
    CDS
        /var/log/pulp-cds/*
        /var/log/gofer/agent.log
        /var/log/httpd/*
        Sample Logging – Successful 'yum repolist'
            The two CDS nodes in this environment log this client activity to /var/log/httpd/ssl_access_log


Client

    /var/log/yum.log
    /var/log/messages
    Console output from yum commands
Comment 3 Les Williams 2016-02-05 10:47:10 EST
Asked reviewers to look at bug and advise of applicability to RHUI 3 user guide
Comment 4 Irina Gulina 2016-07-22 09:45:06 EDT
Information on log and conf files was included in RHUI3 Guide. Currently (on July 22nd, 2016), the log and conf section needs some edition and then QE revision.

Note You need to log in before you can comment on or make changes to this bug.